package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBNurseryDetails entity.
 */
public class TBNurseryDetailsDTO implements Serializable {

    private Long id;

    private String workerName;

    private String trayNumber;

    private Long tbActivityId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getWorkerName() {
        return workerName;
    }

    public void setWorkerName(String workerName) {
        this.workerName = workerName;
    }

    public String getTrayNumber() {
        return trayNumber;
    }

    public void setTrayNumber(String trayNumber) {
        this.trayNumber = trayNumber;
    }

    public Long getTbActivityId() {
        return tbActivityId;
    }

    public void setTbActivityId(Long tbActivityId) {
        this.tbActivityId = tbActivityId;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBNurseryDetailsDTO tBNurseryDetailsDTO = (TBNurseryDetailsDTO) o;
        if (tBNurseryDetailsDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBNurseryDetailsDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBNurseryDetailsDTO{" +
            "id=" + getId() +
            ", workerName='" + getWorkerName() + "'" +
            ", trayNumber='" + getTrayNumber() + "'" +
            "}";
    }
}
